Bulk Data Ingest

POST Create a bulk data ingestion job.

POST /data/v1/bulk/ingest

Operation ID: createBulkIngestJob.

Create a bulk data ingestion job. You can create up to 100 jobs in 24 hours. When you create a job, the jobStatus is set to New, and changes to Staging when you stage data for the job.

Required Scopes

To create a bulk data ingest job, your API user must have this permission:

  • Automation | Automations | Execute (automations_execute)

Request body

Media type: application/json. Schema: createBulkIngestJobRequestBody.

Responses

  • 201 The bulk data ingest job was created successfully.

    Media type: application/json. Schema: createBulkIngestJobResponseBody.

    Example

    {
      "bulkApiDefinitionId": "e4715e41-7c81-4a9c-a1ce-3dea172f1d3d",
      "requestId": "03725dd2-cf1e-420d-bd1f-1460244b828e",
      "resultMessages": []
    }
  • 400 Indicates that the request is invalid. This error can occur when the data extension that you specify in the request body doesn’t exist.

    Media type: application/json. Schema: bulkIngestErrorResponseBody.

    Example

    {
      "bulkApiDefinitionId": "00000000-0000-0000-0000-000000000000",
      "requestId": "20e336d5-ac70-481d-a82e-91cdb0e9a073",
      "resultMessages": [
        {
          "resultType": "Validation",
          "resultClass": "Error",
          "message": "Destination type with the given customer key 'Fake_DE' cannot be found."
        }
      ]
    }
  • 401 Indicates that the API accepted your request but couldn’t authorize it. When you receive a 403 response, make sure you have the necessary permission scope for the operation. You can modify permission scopes on the Installed Apps page in Marketing Cloud Engagement Setup.

    Media type: application/json. Schema: string.

    Type: string.

    Example

    Account / User not authorized for operation.
  • 403 Indicates that the API accepted your request but couldn’t authorize it. When you receive a 403 response, make sure you have the necessary permission scope for the operation. You can modify permission scopes on the Installed Apps page in Marketing Cloud Engagement Setup.

    Media type: application/json. Schema: string.

    Type: string.

    Example

    Account / User not authorized for operation.
  • 500 Indicates that the API encountered an error when processing the request. When you receive a 500 response, verify that the request uses the correct syntax.

    Media type: application/json. Schema: httpErrorResponseBody.

    Example

    {
      "documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm",
      "errorcode": 0,
      "message": "Internal Server Error"
    }